Bug 798872 - [abrt] kernel: WARNING: at fs/btrfs/extent-tree.c:4771 __btrfs_free_extent+0x628/0x6d0 [btrfs]()
[abrt] kernel: WARNING: at fs/btrfs/extent-tree.c:4771 __btrfs_free_extent+0x...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zach Brown
Fedora Extras Quality Assurance
abrt_hash:18fc26f7c4e33680427f04d9842...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 02:07 EST by Johannes Postler
Modified: 2015-05-17 21:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:08:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johannes Postler 2012-03-01 02:07:37 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.7-1.fc16.x86_64 root=UUID=2a33438b-eb3e-4854-81f3-45e7107544fb ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=de quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
kernel:         3.2.7-1.fc16.x86_64
reason:         WARNING: at fs/btrfs/extent-tree.c:4771 __btrfs_free_extent+0x628/0x6d0 [btrfs]()
time:           Thu 01 Mar 2012 08:05:18 AM CET

backtrace:
:WARNING: at fs/btrfs/extent-tree.c:4771 __btrfs_free_extent+0x628/0x6d0 [btrfs]()
:Hardware name: 276552G
:Modules linked in: tcp_lp binfmt_misc usb_storage ppdev parport_pc lp parport fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm 8021q garp stp ib_sa llc ib_mad fcoe ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi libfcoe libfc scsi_transport_fc scsi_tgt rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_conntrack_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 ip6table_filter xt_state ip6_tables nf_conntrack uvcvideo videodev media v4l2_compat_ioctl32 cdc_ether usbnet cdc_acm cdc_wdm mii arc4 joydev btusb bluetooth r592 memstick microcode snd_hda_codec_conexant r852 sm_common nand nand_ids iwlwifi mtd nand_ecc snd_hda_intel snd_hda_codec snd_hwdep snd_seq mac80211 snd_seq_device i2c_i801 iTCO_wdt iTCO_vendor_support snd_pcm thinkpad_acpi cfg80211 snd_timer rfkill snd_page_alloc snd soundcore e1000e uinput btrfs zlib_deflate libcrc32c sdhci_pci firewire_ohci sdhci mmc_core firewire_core crc_itu_t yenta_
:socket wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 29189, comm: umount Not tainted 3.2.7-1.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8106dd4f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106ddaa>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa015f318>] __btrfs_free_extent+0x628/0x6d0 [btrfs]
: [<ffffffffa015e945>] ? update_block_group+0xd5/0x280 [btrfs]
: [<ffffffff81163d2b>] ? kfree+0x3b/0x140
: [<ffffffffa0162db9>] run_clustered_refs+0x359/0x7d0 [btrfs]
: [<ffffffffa01aec00>] ? btrfs_find_ref_cluster+0x90/0x190 [btrfs]
: [<ffffffffa01632f8>] btrfs_run_delayed_refs+0xc8/0x210 [btrfs]
: [<ffffffffa017250c>] commit_cowonly_roots+0x8c/0x1e0 [btrfs]
: [<ffffffffa0173acf>] btrfs_commit_transaction+0x3af/0x820 [btrfs]
: [<ffffffff81090440>] ? remove_wait_queue+0x50/0x50
: [<ffffffffa0174394>] ? start_transaction+0x94/0x2a0 [btrfs]
: [<ffffffffa014f21c>] btrfs_sync_fs+0x6c/0xf0 [btrfs]
: [<ffffffff811a5aa3>] __sync_filesystem+0x63/0x90
: [<ffffffff811a5b4b>] sync_filesystem+0x4b/0x70
: [<ffffffff8117afbb>] generic_shutdown_super+0x3b/0xd0
: [<ffffffff8117b0e6>] kill_anon_super+0x16/0x30
: [<ffffffff8117b49c>] deactivate_locked_super+0x3c/0xa0
: [<ffffffff8117bf0e>] deactivate_super+0x4e/0x70
: [<ffffffff81196b35>] mntput_no_expire+0xb5/0x100
: [<ffffffff811978bc>] sys_umount+0x6c/0x350
: [<ffffffff81183c72>] ? path_put+0x22/0x30
: [<ffffffff815e9d82>] system_call_fastpath+0x16/0x1b

comment:
:Waking up from standby - took a little (few seconds) longer than usual.
:During the standby-time, I unplugged a USB-harddrive with a btrfs-filesystem on it. 

smolt_data:
:
:
:General
:=================================
:UUID: b4433822-5e20-48cf-bf4c-1270b7fbc0ed
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5053.64
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     P8700  @ 2.53GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2534
:System Memory: 3852
:System Swap: 0
:Vendor: LENOVO
:System: 276552G ThinkPad T400
:Form factor: Notebook
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:6058:8416) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10544:6058:8441) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:6058:8440) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:6058:8438) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:4287:6058:8430) pci, e1000e, ETHERNET, 82567LF Gigabit Network Connection
:(32902:9288:6058:8436) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10566:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10549:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:6058:8433) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:6058:8433) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:16950:32902:4113) pci, iwlwifi, NETWORK, Ultimate N WiFi Link 5300
:(32902:10818:6058:8466) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:6058:8466) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10820:6058:8422) pci, None, SIMPLE, Mobile 4 Series Chipset MEI Controller
:(32902:10568:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:6058:8434) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4480:1426:6058:8394) pci, r592, BASE, ThinkPad T61
:(4480:2130:6058:8395) pci, r852, BASE, xD-Picture Card Controller
:(4480:1142:6058:8390) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(4480:2098:6058:8391) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:6058:8392) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 2555474 1160637 1135047 647168 493340 493340
:/dev/sda3 /home btrfs 4096 4096 59826432 22915927 22531719 0 0 0
:/dev/sda1 /boot ext4 1024 1024 508745 435651 410051 128016 127785 127785
:
Comment 1 Dave Jones 2012-03-22 12:43:49 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 2 Dave Jones 2012-03-22 12:48:15 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 12:57:34 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Johannes Postler 2012-03-22 14:32:55 EDT
I just made sure I could reproduce it with the current kernel 3.2.9-2.fc16.x86_64. I will test with the new 3.3 kernel as soon as it hits my repository. Is the backtrace good as it is? Or can I produce a better one? Problem is, that my kernel is now tainted because of the VirtualBox module - that one was not causing it, because I didn't have it installed at that time.
Comment 5 Johannes Postler 2012-04-01 12:26:30 EDT
I can reproduce the issue with 3.3.0-4.fc16.x86_64. Already, a more recent version of the kernel was installed, but I don't reboot as often, as Fedora puts out new kernels ;)

Is there more information I can provide?
Comment 6 Josef Bacik 2012-04-03 14:33:11 EDT
No, but this should be fixed upstream with the error handling patches.  There's currently a bug in those patches that we're working out but once that's fixed you may want to try Linus's latest and greatest git tree and see if that helps.
Comment 7 Johannes Postler 2012-04-03 15:14:44 EDT
So you say I should wait for some patches and then try again? Can you maybe comment here when it's ready and point me to the specific version you want me to test? thanks.
Comment 8 Johannes Postler 2012-05-15 02:20:41 EDT
I still see the bug. Current kernel version: 3.3.2-6.fc16.x86_64

I'm not sure if this is really the same bug, but it occured (and can be reproduced) under the same circumstances.

[257477.701351] kernel BUG at fs/btrfs/transaction.c:1339!
[257477.701372] invalid opcode: 0000 [#1] SMP 
[257477.701392] CPU 0 
[257477.701401] Modules linked in: usb_storage vfat fat mmc_block tcp_lp ppdev parport_pc lp parport fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio 8021q garp stp ib_iser llc fcoe libfcoe libfc scsi_transport_fc scsi_tgt rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter ip6_tables xt_state nf_conntrack cdc_ether usbnet cdc_wdm mii cdc_acm uvcvideo videobuf2_core videodev media videobuf2_vmalloc videobuf2_memops btusb arc4 bluetooth snd_hda_codec_conexant microcode joydev r852 sm_common iwlwifi nand mac80211 r592 nand_ids mtd nand_ecc i2c_i801 memstick snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device cfg80211 snd_pcm snd_timer snd_page_alloc iTCO_wdt iTCO_vendor_support thinkpad_acpi e1000e rfkill snd soundcore uinput btrfs zlib_deflate libcrc32c firewire_ohci yenta_socket sdhc
i_pci sdhci mmc_core firewire_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[257477.702005] 
[257477.702005] Pid: 32241, comm: umount Not tainted 3.3.2-6.fc16.x86_64 #1 LENOVO 276552G/276552G
[257477.702005] RIP: 0010:[<ffffffffa017cb7d>]  [<ffffffffa017cb7d>] btrfs_commit_transaction+0x81d/0x820 [btrfs]
[257477.702005] RSP: 0018:ffff880060ed9ce8  EFLAGS: 00010282
[257477.702005] RAX: 00000000fffffffb RBX: ffff880089601b00 RCX: 0000000000000000
[257477.702005] RDX: 0000000000000000 RSI: 0000004191c7e000 RDI: 0000000000000000
[257477.702005] RBP: ffff880060ed9d78 R08: 0000000000002000 R09: 0000000000000000
[257477.702005] R10: 0000000000000001 R11: 0000000000000000 R12: ffff88010632b000
[257477.702005] R13: ffff880108d29ca8 R14: ffff880089601b78 R15: 0000000000000000
[257477.702005] FS:  00007f27eb536800(0000) GS:ffff88013bc00000(0000) knlGS:0000000000000000
[257477.702005] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[257477.702005] CR2: 0000003b8c938000 CR3: 000000010a5d4000 CR4: 00000000000406f0
[257477.702005] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[257477.702005] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[257477.702005] Process umount (pid: 32241, threadinfo ffff880060ed8000, task ffff880079dbc590)
[257477.702005] Stack:
[257477.702005]  ffff88010632b000 0000000000000001 0000000000000000 ffff880079dbc590
[257477.702005]  ffffffff8107a7f0 ffff880060ed9d10 ffff880060ed9d10 ffffffffa0195e1e
[257477.702005]  ffff880060ed9dc8 00000000811a7278 ffff880060ed9d38 ffff88010632b000
[257477.702005] Call Trace:
[257477.702005]  [<ffffffff8107a7f0>] ? remove_wait_queue+0x50/0x50
[257477.702005]  [<ffffffffa0195e1e>] ? btrfs_wait_ordered_extents+0x3e/0x1b0 [btrfs]
[257477.702005]  [<ffffffffa0156004>] btrfs_sync_fs+0x74/0xf0 [btrfs]
[257477.702005]  [<ffffffff811ae0f3>] __sync_filesystem+0x63/0x90
[257477.702005]  [<ffffffff811ae19b>] sync_filesystem+0x4b/0x70
[257477.702005]  [<ffffffff8118351b>] generic_shutdown_super+0x3b/0xf0
[257477.702005]  [<ffffffff81183666>] kill_anon_super+0x16/0x30
[257477.702005]  [<ffffffffa0158aaa>] btrfs_kill_super+0x1a/0x90 [btrfs]
[257477.702005]  [<ffffffff8118389c>] deactivate_locked_super+0x3c/0xa0
[257477.702005]  [<ffffffff811843de>] deactivate_super+0x4e/0x70
[257477.702005]  [<ffffffff8119ee50>] mntput_no_expire+0xd0/0x120
[257477.702005]  [<ffffffff8119fba1>] sys_umount+0x71/0x380
[257477.702005]  [<ffffffff8106cc64>] ? sys_rt_sigprocmask+0x84/0xd0
[257477.702005]  [<ffffffff815fc1e9>] system_call_fastpath+0x16/0x1b
[257477.702005] Code: e9 9a f9 ff ff 0f 0b 0f 0b 0f 0b 0f 0b 0f 0b 0f 0b be fe 04 00 00 48 c7 c7 10 52 1d a0 e8 8c af ed e0 e9 4c fb ff ff 0f 0b 0f 0b <0f> 0b 90 55 48 89 e5 53 48 83 ec 08 66 66 66 66 90 48 8b 77 f8 
[257477.702005] RIP  [<ffffffffa017cb7d>] btrfs_commit_transaction+0x81d/0x820 [btrfs]
[257477.702005]  RSP <ffff880060ed9ce8>
[257477.709688] ---[ end trace b7cf8d97283a989d ]---
[257477.742158] Buffer I/O error on device sdb1, logical block 180481
[257477.742161] lost page write due to I/O error on sdb1
[257477.742164] JBD2: I/O error detected when updating journal superblock for sdb1-8.
[257477.742025] sdhci-pci 0000:15:00.2: Will use DMA mode even though HW doesn't fully claim to support it.
[257477.755385] ------------[ cut here ]------------
[257477.755413] kernel BUG at fs/btrfs/transaction.c:1339!
[257477.755436] invalid opcode: 0000 [#2] SMP 
[257477.755457] CPU 1 
[257477.755466] Modules linked in: usb_storage vfat fat mmc_block tcp_lp ppdev parport_pc lp parport fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio 8021q garp stp ib_iser llc fcoe libfcoe libfc scsi_transport_fc scsi_tgt rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter ip6_tables xt_state nf_conntrack cdc_ether usbnet cdc_wdm mii cdc_acm uvcvideo videobuf2_core videodev media videobuf2_vmalloc videobuf2_memops btusb arc4 bluetooth snd_hda_codec_conexant microcode joydev r852 sm_common iwlwifi nand mac80211 r592 nand_ids mtd nand_ecc i2c_i801 memstick snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device cfg80211 snd_pcm snd_timer snd_page_alloc iTCO_wdt iTCO_vendor_support thinkpad_acpi e1000e rfkill snd soundcore uinput btrfs zlib_deflate libcrc32c firewire_ohci yenta_socket sdhc
Comment 9 Dave Jones 2012-10-23 11:31:46 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 10 Justin M. Forbes 2012-11-14 10:08:51 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.